Listar clientes
curl --request GET \
--url https://api.uvvipay.com.br/v1/customers \
--header 'client-id: <api-key>' \
--header 'client-secret: <api-key>'import requests
url = "https://api.uvvipay.com.br/v1/customers"
headers = {
"client-id": "<api-key>",
"client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'client-id': '<api-key>', 'client-secret': '<api-key>'}
};
fetch('https://api.uvvipay.com.br/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"external_customer_id": "customer-ext-0001",
"name": "John Doe",
"email": "john@example.com"
}
],
"total": 1,
"page": 1,
"limit": 10,
"total_pages": 1
}Clientes
Listar clientes
Lista os clientes da sua conta.
GET
/
v1
/
customers
Listar clientes
Lista os clientes da sua conta. Use o
Erros comuns:
id de cada item como customer_id na criação da assinatura.
Use page e limit (máximo 100). A resposta não inclui documento, telefone nem dados de cartão.
Se page passar do fim, data vem vazio. total, page, limit e total_pages continuam corretos.
Exemplo de resposta:
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"external_customer_id": "customer-ext-0001",
"name": "John Doe",
"email": "john@example.com"
}
],
"total": 1,
"page": 1,
"limit": 10,
"total_pages": 1
}
400 (query inválida), 401/403 (credenciais ou produto Recorrência), 429 (20 req/min).Headers
ID público da credencial do merchant
Secret da credencial do merchant
Query Parameters
Página (1-based)
Required range:
x >= 1Itens por página (máximo 100)
Required range:
1 <= x <= 100
